Empathy does not login - Error contacting the Account Manager

Bug #992619 reported by Edward Karavakis on 2012-05-01
334
This bug affects 76 people
Affects Status Importance Assigned to Milestone
AppArmor
Undecided
Unassigned
Empathy
Unknown
Medium
apparmor (Ubuntu)
Low
Unassigned
Precise
Undecided
Unassigned
telepathy-mission-control-5 (Ubuntu)
Low
Unassigned
Precise
Low
Unassigned

Bug Description

As soon as I launch empathy, I get the following error message:
---------------
Error contacting the Account Manager

There was an error while trying to connect to the Telepathy Account Manager. The error was:

Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
---------------

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: empathy 3.4.1-0ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-24.37-generic 3.2.14
Uname: Linux 3.2.0-24-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu7
Architecture: amd64
Date: Tue May 1 15:49:25 2012
ExecutablePath: /usr/bin/empathy
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110413)
SourcePackage: empathy
UpgradeStatus: Upgraded to precise on 2012-04-27 (4 days ago)

Attaching a screenshot demonstrating the problem

Bilal Shahid (s9iper1) wrote :

thanks for the bug report for making ubuntu better.
please attach the mission control debug log file with the bug report.
you can get it from help debug menu

Changed in empathy (Ubuntu):
status: New → Incomplete

This bug occasionally pops up after resuming the laptop from standby mode.

Do you need a complete debug log or only those for domain "Empathy"?

an empty window appears when I go from help to the debug menu in empathy..

Bilal Shahid (s9iper1) wrote :

yeah attach the complete debug log thanks

ukblacknight (tom-blacknight) wrote :

I receive this error too.

the debug log from empathy can be found here: http://pastebin.com/KZ44DCBH

Ubuntu 12.04 x64
Upgraded from 11.10 x64 on (2012-04-28)
Gnome-Shell 3.4

ukblacknight (tom-blacknight) wrote :

I've also attached the terminal output of the error for Empathy.

the debug log can also been found here: http://pastebin.com/Q7S2d9tR
Ubuntu 12.04 x86_64 using Unity, upgraded from 11.10.
Cheers, Eddie

Bilal Shahid (s9iper1) wrote :

thanks for the bug report i am sending your bug to upstream you please subscribe to that one.

Changed in empathy (Ubuntu):
importance: Undecided → Low
status: Incomplete → Confirmed
status: Confirmed → Triaged
Changed in empathy:
importance: Unknown → Medium
status: Unknown → New
Changed in empathy:
status: New → Incomplete
joatmor (lhuppe) wrote :

My issue is that my system and/or Telepathy will log me into Facebook and Gtalk automatically, but not the AIM network.

In order to use AIM in Empathy I have to go to the Edit > Accounts screen to fix the problem. Once there if I disable my AIM account and then enable it again, it will log me in. Once I do that it seems to stay logged in.

After reading the posts here I wonder if it is a timeout issue.

michaelnel (michaelnel) wrote :

My copy of empathy was working fine. I wanted to explore using it for SIP though, so I installed telepathy-sofiasip. Next time I started empathy I got the same "Error contacting the Account Manager" error and have not been able to clear it.

michaelnel (michaelnel) wrote :

My empathy was working OK until I installed telepathy-sofiasip, then it started giving the Error contacting the Account Manager upon startup and I have not been able to clear it.

help -> debug log is at http://pastebin.com/GkiT66Ze

Bilal Shahid (s9iper1) wrote :

file another bug for this
@michaelnel

kiilo (kiilo.org) wrote :

I discovered some line in /var/log/syslog regarding:

May 18 18:21:36 kiilo-precise kernel: [31338.049940] type=1400 audit(1337379696.854:31): apparmor="DENIED" operation="open" parent=1 profile="/usr/lib/telepathy/mission-control-5" name="/dev/tty" pid=13079 comm="mission-control" requested_mask="rw" denied_mask="rw" fsuid=1000 ouid=0
May 19 11:21:37 kiilo-precise kernel: [45343.111207] type=1400 audit(1337440897.232:32): apparmor="DENIED" operation="open" parent=21468 profile="/usr/lib/telepathy/mission-control-5" name="/var/lib/dbus/machine-id" pid=21469 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=0 ouid=0
May 19 11:21:37 kiilo-precise kernel: [45343.111684] type=1400 audit(1337440897.232:33): apparmor="DENIED" operation="exec" parent=21469 profile="/usr/lib/telepathy/mission-control-5" name="/usr/bin/dbus-launch" pid=21470 comm="mission-control" requested_mask="x" denied_mask="x" fsuid=0 ouid=0
May 19 11:21:37 kiilo-precise kernel: [45343.111887] type=1400 audit(1337440897.232:34): apparmor="DENIED" operation="open" parent=21468 profile="/usr/lib/telepathy/mission-control-5" name="/var/lib/dbus/machine-id" pid=21469 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=0 ouid=0
May 19 11:21:37 kiilo-precise kernel: [45343.112310] type=1400 audit(1337440897.236:35): apparmor="DENIED" operation="exec" parent=21469 profile="/usr/lib/telepathy/mission-control-5" name="/usr/bin/dbus-launch" pid=21471 comm="mission-control" requested_mask="x" denied_mask="x" fsuid=0 ouid=0

crossed my fingers and added following lines to /etc/apparmor.d/usr.lib.telepathy in the section

/usr/lib/telepathy/mission-control-5 {
[...}
    /usr/lib/mission-control-plugins.*/ r,
    /usr/lib/mission-control-plugins.*/*.so mr,

this three lines added:

    /var/lib/dbus/* r,
    /usr/bin/dbus-launch x,
    /dev/tty* rw,
[...]

and the behaviour disapeared for now ~ still there is an issue for google talk its possible to define an account by telepathy or by system settings but this is maybe another story / bug / feature

wish you well
kiilo

Bilal Shahid (s9iper1) wrote :

attach any more info on upstream bug plz that would be great

kiilo (kiilo.org) wrote :

upstream bug is debian? does debian uses same setting in apparmor? can not check here. But file it there aswell.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apparmor (Ubuntu):
status: New → Confirmed
Bilal Shahid (s9iper1) on 2012-05-24
affects: apparmor → apparmor (Ubuntu)
Changed in apparmor (Ubuntu):
importance: Undecided → Low
kiilo (kiilo.org) wrote :

can someone confirm this is a solution or not?
if you have a debian aswell could you also check its affecting debian aswell?

Changed in empathy:
status: Incomplete → Unknown
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apparmor (Ubuntu):
status: New → Confirmed
Piotr Krzyzek (pistr) wrote :

Temporary work-around:

> killall -9 empathy
> killall -9 /usr/lib/telepathy/mission-control-5

then restart empathy. Should work until it breaks again.

Péter (fourdots) wrote :

Gnome has RESOLVED this bug as "NOTGNOME" - and they understand this to be an Ubuntu apparmor problem.

I also have this bug. My setup:
- default user set to auto-login
- empathy added to Startup Applications

Problem:
- "Cannot contact Account Manager" dialog, as reported.
- "Unlock Keyring" dialog waiting for password

I use to have this (or similar?) empathy bug a few Ubuntu releases back, and later also sent the bug upstream. I can't find the original LP or bugzilla.gnome bug - but it seems quite similar.
(the keyring was not automatically unlocked during auto-login... this seems to be causing the problem)

I remember it having to do with both setting the default Ubuntu user account to auto-login, and having Empathy in your startup applications.

mangelasakis (mangelasakis) wrote :

 If I change the status to offline then I can't reconnect in empathy because of this bug. This a serious problem, so this bug must be high importance....

Jamie Strandboge (jdstrand) wrote :

This is a problem in the apparmor profile for telepaty-mission-control-5, not apparmor itself.

Changed in apparmor (Ubuntu):
status: Confirmed → Invalid
Changed in apparmor:
status: New → Invalid
Changed in empathy (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Jamie Strandboge (jdstrand)
affects: empathy (Ubuntu) → telepathy-mission-control-5 (Ubuntu)
Changed in telepathy-mission-control-5 (Ubuntu):
assignee: Jamie Strandboge (jdstrand) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package telepathy-mission-control-5 - 1:5.12.0-0ubuntu5

---------------
telepathy-mission-control-5 (1:5.12.0-0ubuntu5) quantal; urgency=low

  * debian/apparmor-profile:
    - add dbus-session abstraction to mission-control-5 to allow auto-logins
      to work properly (LP: #992619)
    - allow creating ~/.cache/dconf for new users (LP: #939126)
 -- Jamie Strandboge <email address hidden> Mon, 18 Jun 2012 07:51:38 -0500

Changed in telepathy-mission-control-5 (Ubuntu):
status: In Progress → Fix Released
Alex Gorban (alex-gorban) wrote :

When fix will be available for 12.04?

Changed in apparmor (Ubuntu Precise):
status: New → Invalid
Changed in telepathy-mission-control-5 (Ubuntu Precise):
status: New → Triaged
importance: Undecided → Low
Timur Tabi (timur-tabi) wrote :

I'm on 12.04 with the latest updates. This problem started for me a couple weeks ago. Is there a fix for 12.04?

Ethan Shalev (shalev-ethan) wrote :

I just upgraded to 13.04, and encountered this bug for the first time ever.
Can't get Empathy to connect.

Colin S. (cbs228) wrote :

The same issue now happens for me on 13.04 with the latest updates. It did not happen on 12.10. This is clearly an AppArmor-related problem, as switching AppArmor to "complain" mode seems to fix things. To do so,

  sudo apt-get install apparmor-utils
  sudo aa-complain /usr/lib/telepathy

make sure all telepathy-related processes are killed, then try loading empathy. This appears to fix the problem, but I don't think the AppArmor change persists across reboots. (It's also a security risk, I imagine.)

@Ethan, does the above fix work for you?

Subin Hutton (djlynux) wrote :

Guys,

I'm also facing the same issue after the upgrade to 13.04. It was actually a direct upgrade from 12.10 to 13.04. I'm using a 64 bit OS.

Subin Hutton (djlynux) wrote :

Following error message is keep on appearing in the syslog while I tried to login to Empathy.

Apr 29 23:00:29 djlynux signond[4144]: ../../../../src/signond/signondaemon.cpp 360 init Failed to SUID root. Secure storage will not be available.
Apr 29 23:15:30 djlynux signond[4372]: ../../../../src/signond/signondaemon.cpp 360 init Failed to SUID root. Secure storage will not be available.

This needs to re-open this bug.

David E. Anderson (danderson3) wrote :

same errors, no workarounds on 12.10

David E. Anderson (danderson3) wrote :

$ empathy-accounts
**
ERROR:empathy-user-info.c:252:fill_contact_info_grid: assertion failed: (spec != NULL)
Aborted (core dumped)

Al Biheiri (abiheiri) wrote :

@killio

I dont think the apparmor rule change applies. It looks like the profile is disabled by default.

root@adesk:~# aa-disable usr.lib.telepathy
Disabling /etc/apparmor.d/usr.lib.telepathy.
/sbin/apparmor_parser: Unable to remove "/usr/lib/telepathy/mission-control-5". Profile doesn't exist

root@adesk:~# invoke-rc.d apparmor reload
 * Reloading AppArmor profiles
Skipping profile in /etc/apparmor.d/disable: usr.bin.firefox
Skipping profile in /etc/apparmor.d/disable: usr.lib.telepathy
Skipping profile in /etc/apparmor.d/disable: usr.sbin.rsyslogd

Avery (docaltmed) wrote :

I've been on Ubuntu 13.04 since April. This problem started for me today.

Nicholas Sharp (nsharpent) wrote :

I was having this issue in Ubuntu 13.04, deleted all my accounts (Google, Salut, Yahoo) and tried to add them one at a time. Managed to get my Google account set back up, but both Salut and Yahoo would not show me the form to configure my account when trying to recreate them. It would just give me the options "Cancel" or "Done" with nothing else below them.

After a restart here, Empathy was performing as expected. However, after some time (and a reinstall of account-plugin-salut which I honestly don't think helped because the change was not immediate), I was able to add my Salut account. My Yahoo account is still not showing me the form to create my account. The good news is, Empathy is still working.

Nicholas Sharp (nsharpent) wrote :

Just to be complete, I did try to re-install account-plugin-yahoo and am still having the issue with the creation form.

Ken Sharp (kennybobs) on 2015-01-20
tags: added: i386
Ken Sharp (kennybobs) wrote :

Still an issue in Precise which could be very easily fixed with a rule update.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.